#
# spec file for package textutils (Version 2.0.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         textutils
Copyright:    GPL
Group:        Applications/Text
Provides:     textutl txtutils
Obsoletes:    textutil
Autoreqprov:  on
Version:      2.0.10
Release:      120
Summary:      GNU Text Utilities
Source: textutils-%{version}.tar.bz2
#Patch: textutils-%{version}.dif
Patch1: textutils-2.0.11-owl-tmp.diff
BuildRoot: /tmp/buildroot-%{name}

%description
These are the GNU text file (actually, file contents) processing
utilities.  Most of these programs have significant advantages over
their Unix counterparts, such as greater speed, additional options,
and fewer arbitrary limits.
The programs in this package are: cat, cksum, comm, csplit, cut,
expand, fmt, fold, head, join, md5sum, nl, od, paste, pr, ptx, sort, split,
sum, tac, tail, tr, tsort, unexpand, uniq, and wc.

Authors:
--------
    Jim Meyering <meyering@ascend.com>
    Franois Pinard <pinard@iro.umontreal.ca>

SuSE series: a

%prep
%setup
#%patch
%patch1 -p1

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir}
make
make check

%install
make DESTDIR="$RPM_BUILD_ROOT" install-strip
install -d $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT/usr/bin/cat $RPM_BUILD_ROOT/usr/bin/sort \
   $RPM_BUILD_ROOT/bin
ln -sf ../../bin/sort $RPM_BUILD_ROOT/usr/bin/sort

%clean
rm -rf $RPM_BUILD_ROOT

%files
/bin/*
/usr/bin/*
%doc %{_infodir}/textutils*.gz
/usr/share/locale/*/LC_MESSAGES/textutils.mo
%doc %{_mandir}/man1/*.gz

%changelog -n textutils
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Thu Feb 01 2001 - schwab@suse.de
- Fix security problem with temporary files.
* Mon Dec 11 2000 - schwab@suse.de
- Update to 2.0.10.
* Thu Dec 07 2000 - schwab@suse.de
- Add patch from Jim Meyering for `tail -f'.
* Mon Dec 04 2000 - schwab@suse.de
- Update to 2.0.9.
* Tue Oct 24 2000 - schwab@suse.de
- Renamed from textutil.
* Tue May 09 2000 - schwab@suse.de
- Switch to BuildRoot.
- Add group tag.
- Move /usr/bin/sort to /bin/sort.
* Tue Jan 18 2000 - schwab@suse.de
- /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - schwab@suse.de
- fix tr manpage
* Wed Sep 08 1999 - schwab@suse.de
- run "make check"
* Wed Aug 25 1999 - schwab@suse.de
- update to version 2.0
* Thu Jan 07 1999 - ro@suse.de
- don't redeclare getline
* Mon Sep 21 1998 - ro@suse.de
- dont redefine stpcpy for glibc
- define _GNU_SOURCE for use of getopt_long
* Tue Sep 01 1998 - ro@suse.de
- fixed macro problem with strdup,...
* Thu Jul 16 1998 - 
- remove unlink hack and use O_EXCL instead of O_TRUNC for open flags
* Thu Jul 16 1998 - werner@suse.de
- sort.c: unlink temporary file if exists
* Sun Apr 13 1997 - florian@suse.de
- use getopt/regex from libc, disable nls until glibc
* Sun Feb 02 1997 - florian@suse.de
- update to version 1.22
* Wed Jan 22 1997 - florian@suse.de
- update to version 1.21
* Thu Jan 02 1997 - florian@suse.de
  update to textutils 1.19
  compiled with GNU gettext message translation
